Package com.databend.jdbc

## Class DatabendColumnInfo.Builder

- java.lang.Object
- - com.databend.jdbc.DatabendColumnInfo.Builder

Enclosing class:
  DatabendColumnInfo

    public static final class DatabendColumnInfo.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`DatabendColumnInfo` `build()`
`DatabendColumnInfo.Builder` `setCatalogName​(String catalogName)`
`DatabendColumnInfo.Builder` `setColumnDisplaySize​(int columnDisplaySize)`
`DatabendColumnInfo.Builder` `setColumnLabel​(String columnLabel)`
`DatabendColumnInfo.Builder` `setColumnName​(String columnName)`
`void` `setColumnParameterTypes​(List<Integer> columnParameterTypes)`
`DatabendColumnInfo.Builder` `setColumnType​(int columnType)`
`DatabendColumnInfo.Builder` `setColumnTypeSignature​(com.databend.client.data.DatabendRawType columnTypeSignature)`
`DatabendColumnInfo.Builder` `setCurrency​(boolean currency)`
`DatabendColumnInfo.Builder` `setDatabendRawType​(com.databend.client.data.DatabendRawType type)`
`DatabendColumnInfo.Builder` `setNullable​(DatabendColumnInfo.Nullable nullable)`
`DatabendColumnInfo.Builder` `setPrecision​(int precision)`
`DatabendColumnInfo.Builder` `setScale​(int scale)`
`DatabendColumnInfo.Builder` `setSchemaName​(String schemaName)`
`DatabendColumnInfo.Builder` `setSigned​(boolean signed)`
`DatabendColumnInfo.Builder` `setTableName​(String tableName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setColumnType

    public DatabendColumnInfo.Builder setColumnType​(int columnType)

#### setDatabendRawType

    public DatabendColumnInfo.Builder setDatabendRawType​(com.databend.client.data.DatabendRawType type)

#### setColumnParameterTypes

    public void setColumnParameterTypes​(List<Integer> columnParameterTypes)

#### setColumnTypeSignature

    public DatabendColumnInfo.Builder setColumnTypeSignature​(com.databend.client.data.DatabendRawType columnTypeSignature)

#### setNullable

    public DatabendColumnInfo.Builder setNullable​(DatabendColumnInfo.Nullable nullable)

#### setCurrency

    public DatabendColumnInfo.Builder setCurrency​(boolean currency)

#### setSigned

    public DatabendColumnInfo.Builder setSigned​(boolean signed)

#### setPrecision

    public DatabendColumnInfo.Builder setPrecision​(int precision)

#### setScale

    public DatabendColumnInfo.Builder setScale​(int scale)

#### setColumnDisplaySize

    public DatabendColumnInfo.Builder setColumnDisplaySize​(int columnDisplaySize)

#### setColumnLabel

    public DatabendColumnInfo.Builder setColumnLabel​(String columnLabel)

#### setColumnName

    public DatabendColumnInfo.Builder setColumnName​(String columnName)

#### setTableName

    public DatabendColumnInfo.Builder setTableName​(String tableName)

#### setSchemaName

    public DatabendColumnInfo.Builder setSchemaName​(String schemaName)

#### setCatalogName

    public DatabendColumnInfo.Builder setCatalogName​(String catalogName)

#### build

    public DatabendColumnInfo build()